<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.microservices.zone.member.mapper.ZonePointsFailLogMapper">

    <resultMap type="ZonePointsFailLog" id="ZonePointsFailLogResult">
        <result property="id" column="id"/>
        <result property="taskData" column="task_data"/>
        <result property="failTime" column="fail_time"/>
        <result property="lastError" column="last_error"/>
        <result property="status" column="status"/>
        <result property="processTime" column="process_time"/>
        <result property="processRemark" column="process_remark"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>

    <insert id="insertZonePointsFailLog" parameterType="ZonePointsFailLog" useGeneratedKeys="true" keyProperty="id">
        insert into zone_points_fail_log
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="taskData != null">task_data,</if>
            <if test="failTime != null">fail_time,</if>
            <if test="lastError != null">last_error,</if>
            <if test="status != null">status,</if>
            <if test="processTime != null">process_time,</if>
            <if test="processRemark != null">process_remark,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="taskData != null">#{taskData},</if>
            <if test="failTime != null">#{failTime},</if>
            <if test="lastError != null">#{lastError},</if>
            <if test="status != null">#{status},</if>
            <if test="processTime != null">#{processTime},</if>
            <if test="processRemark != null">#{processRemark},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
        </trim>
    </insert>

</mapper>